﻿@using SportsClub.Areas.Dashboard.Models

@{
    Layout = null;
}
<style>
    .rating-custom .filled {
        color: #21568b;
    }

    .rating-custom li {
        display: inline-block;
        padding: 3px;
        color: #a5a5a5;
    }
</style>
<div class="view-container ">
    <!--Title bar-->
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>

        <div class="title">
            <h1>
                Catalogs
            </h1>
        </div>
        <div class="clearfix"></div>
    </div>
    <!--content-->
    <div class="grid fluid">
        <div class="row">
            <div class="span12 catalog">
                <div class="pvr-header">
                    <!--Cover image-->
                    <img src="{{Model.BannerImage}}" ng-src="{{Model.BannerImage}}" ng-model="Model.BannerImage" />
                    <a href="" class="pvr-logo">
                        <img src="{{Model.Logo}}" ng-src="{{Model.Logo}}" ng-model="Model.Logo" />
                    </a>
                </div>
                <!--section 1-->
                <section class="panel">
                    <div class="panel-header panel-header-lg bg-white">
                        {{Model.Name}}
                    </div>
                    <div class="panel-content" style="white-space: pre-line">
                        <p style="white-space: pre-line" ng-bind-html="Model.Description | unsafe"></p>
                    </div>
                </section>
                <!--section 2-->
                <section class="panel">
                    <div class="panel-header panel-header-lg">
                        Provider Availability & Applicability
                    </div>
                    <div class="panel-content">
                        In addition to conducting classes in public elementary schools, this table outlines this Provider's current availability and applicability for geographic regions as well as types of school environments. Many Providers are also willing to expand into additional areas in response to requests from schools, so it never hurts to ask if you are interested!
                    </div>
                    <table class="table bordered">
                        <tbody>
                            <tr>
                                <td>Current Location(s)</td>
                                <td class="right">{{Model.Locations}}</td>
                            </tr>
                            <tr ng-if="Model.MaybeLocations!=''">
                                <td>Potential Location(s)</td>
                                <td class="right">{{Model.MaybeLocations}}</td>
                            </tr>
                            <tr ng-if="Model.ProgramTypes!=''">
                                <td>Program types</td>
                                <td class="right">{{Model.ProgramTypes}}</td>
                            </tr>
                            <tr ng-if="Model.MemberSince!=''">
                                <td>Member since</td>
                                <td class="right">{{Model.MemberSince}}</td>
                            </tr>
                            <tr ng-if="Model.About.WeeklyEmail==true || Model.About.FairFaxCounty==true || Model.About.VirtusCertified==true || Model.About.JumbulaMobileApp==true">
                                <td>About Us</td>
                                <td class="right" >
                                    <span ng-if="Model.About.WeeklyEmail==true">We send regular class updates to parents.<br /></span>
                                    <span ng-if="Model.About.FairFaxCounty==true">We are on the Fairfax Approved Vendor List.<br /></span>
                                    <span ng-if="Model.About.VirtusCertified==true">We have VIRTUS Instructors on staff.<br /></span>
                                    <span ng-if="Model.About.JumbulaMobileApp==true">We commit to using the Jumbula Mobile App for check in, dismissal and attendance.<br /></span>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </section>
                <!--Catalog item-->
                <section class="panel panel-green share-catalog" ng-repeat="catalog in Model.Catalogs">
                    <div class="panel-header panel-header-lg" id="{{catalog.Id}}">
                        {{catalog.Name}}
                    </div>
                    <div class="panel-content">

                        <div class="dis-row without-image-title">
                            <div class="dis-cell">
                                @*<img class="image-cell" src="https://jblobprod2.blob.core.windows.net/clubs/em-adf/CatalogItems/7ec65439-afa7-455a-a460-73630e2a558b.jpg">*@
                                <img src="{{catalog.ImageUrl}}" ng-src="{{catalog.ImageUrl}}" ng-model="catalog.ImageUrl" />
                            </div>
                            <div class="dis-cell">
                                <p style="white-space: pre-line" ng-bind-html="catalog.Description | unsafe"></p>
                            </div>
                        </div>

                        <div class="table-content categories">
                            <h4 class="title" data-fontsize="14" data-lineheight="14">Categories</h4>
                            <span>{{catalog.Categories}}</span>
                           
                        </div>
                        @*<div class="table-content categories">
                            <h4 class="title" data-fontsize="14" data-lineheight="14">Rating</h4>
                            <div ng-model="Model.Rating" ng-init="catalog.Rating = catalog.Rating"></div>
                            <div star-rating ng-model="catalog.Rating" data-max="5" readonly="true"></div>
                        </div>*@
                        <div class="table-content">
                            <h4 class="title" data-fontsize="14" data-lineheight="14">Price options</h4>
                            <div class="class-info-table dis-table price-options">
                                <div class="dis-row">
                                    <span class="dis-cell cell-title">Class Time</span>
                                    <span class="dis-cell cell-title">Session Length</span>
                                    <span ng-show="IsPartner" class="dis-cell cell-title">Price</span>
                                </div>
                                <div class="dis-row" ng-repeat="option in catalog.PriceGroups">
                                    <span class="dis-cell cell-title">{{option.Title}}</span>

                                    <span class="dis-cell">
                                        <ul class="weeks" ng-repeat="price in option.Prices">
                                            <li>{{price.SessionLength}}</li>
                                        </ul>
                                    </span>
                                    <span ng-show="IsPartner" class="dis-cell">
                                        <ul class="prices" ng-repeat="price in option.Prices">
                                            <li>${{price.Amount}}</li>
                                        </ul>
                                    </span>

                                </div>
                            </div>
                        </div>
                        <div class="table-content">
                            <h4 class="title" data-fontsize="14" data-lineheight="14">Enrollment information</h4>
                            <div class="class-info-table dis-table">
                                <div class="dis-row">
                                    <span class="dis-cell cell-title">Grade restriction</span>
                                    <span class="dis-cell">{{catalog.MinGrade}} to {{catalog.MaxGrade}}</span>
                                </div>
                                <div class="dis-row">
                                    <span class="dis-cell cell-title">Recommended grade groupings</span>
                                    <span class="dis-cell">{{catalog.RecommendedGradeGroupings}}</span>
                                </div>
                                <div class="dis-row">
                                    <span class="dis-cell cell-title">Minimum and maximum enrollment</span>
                                    <span class="dis-cell">{{catalog.MinimumMaximum}}</span>
                                </div>
                                <div class="dis-row">
                                    <span class="dis-cell cell-title">Instructor to student ratio</span>
                                    <span class="dis-cell" ng-if="catalog.InstructorStudentRatio >'0'">1: {{catalog.InstructorStudentRatio}}</span>
                                </div>
                                <div class="dis-row">
                                    <span class="dis-cell cell-title">Gender</span>
                                    <span class="dis-cell">{{catalog.Genders}}</span>
                                </div><div class="dis-row">
                                    <span class="dis-cell cell-title">Materials Needed</span>
                                    <span class="dis-cell" style="white-space: pre-line" ng-bind-html="catalog.MaterialsNeeded | unsafe"></span>
                                </div>
                            </div>
                        </div>

                        <div class="table-content">
                            <h4 class="title" data-fontsize="14" data-lineheight="14">Space requirements</h4>
                            <div class="class-info-table dis-table">
                                <div class="dis-row">
                                    <span class="dis-cell cell-title">Indoor</span>
                                    <span class="dis-cell">{{catalog.Indoor}}</span>
                                </div><div class="dis-row">
                                    <span class="dis-cell cell-title">Outdoor</span>
                                    <span class="dis-cell">{{catalog.Outdoor}}</span>
                                </div><div class="dis-row">
                                    <span class="dis-cell cell-title">Additional Comments</span>
                                    <span class="dis-cell" style="white-space: pre-line" ng-bind-html="catalog.Detail | unsafe"></span>
                                </div>
                            </div>
                        </div>

                    </div>
                </section>

            </div>
        </div>
    </div>


    <div class="clearfix"></div>
</div>